Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ffmpegthumbnailer: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 20 Apr 2015 11:21:27 +0000

ffmpegthumnailer is required for the new spacefm 1.0 patch to follow.
---
 testing/ffmpegthumbnailer/APKBUILD | 48 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/ffmpegthumbnailer/APKBUILD
diff --git a/testing/ffmpegthumbnailer/APKBUILD b/testing/ffmpegthumbnailer/APKBUILD
new file mode 100644
index 0000000..6eaca54
--- /dev/null
+++ b/testing/ffmpegthumbnailer/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=ffmpegthumbnailer
+pkgver=2.0.9
+pkgrel=0
+pkgdesc="Lightweight video thumbnailer that can be used by file managers"
+url="https://code.google.com/p/ffmpegthumbnailer"
+arch="all"
+license="GPLv2"
+depends_dev=""
+makedepends="$depends_dev ffmpeg-dev libpng-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="saveas-https://github.com/itoffshore/$pkgname/archive/$pkgver.tar.gz/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="fd5a096a51d0d6d00d15baa6027e8932  ffmpegthumbnailer-2.0.9.tar.gz"
+sha256sums="f5d4ef034c98d1279c01b811460f0f6394f5f3ee5afe4c674ea14f3196b87348  ffmpegthumbnailer-2.0.9.tar.gz"
+sha512sums="fdfb42b30cf980592a7d4b617f9983d265553ed9217151920953901830d816a04eca5f3c6c776697fab67953095600a2d1e0b690c337a200dad8966b0f82df09  ffmpegthumbnailer-2.0.9.tar.gz"
-- 
2.3.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Apr 20 2015 - 11:21:27 GMT